<template>
    <custom-table :data="data" :headers="headers" :pageSize="5" :pageDisplayCount="4" />
</template>

<script>
import CustomTable from '@/components/custom-controller/CustomTable.vue';

export default {
    name: "LogList",
    components: {
        CustomTable
    },
    setup() {
        const data = [
            ['Frozen Yogurt', 159],
            ['Ice cream sandwich', 237],
            ['Eclair', 262],
            ['Cupcake', 305],
            ['Gingerbread', 356],
            ['Jelly bean', 375],
            ['Lollipop', 392],
            ['Honeycomb', 408],
            ['Donut', 452],
            ['KitKat', 518],
            ['Frozen Yogurt', 159],
            ['Ice cream sandwich', 237],
            ['Eclair', 262],
            ['Cupcake', 305],
            ['Gingerbread', 356],
            ['Jelly bean', 375],
            ['Lollipop', 392],
            ['Honeycomb', 408],
            ['Donut', 452],
            ['KitKat', 518],
        ];
        
        const headers = ['Name', 'Calories'];
        const pageSize = 3;

        const handleClick = () => {
            console.log('Button clicked!');
        };

        return {
            data,
            headers,
            pageSize,
            handleClick
        };
    }
}
</script>
